Debian Bug report logs - #531937
FTBFS on mipsel due to missing -fPIC

version graph

Package: autossh; Maintainer for autossh is Axel Beckert <abe@debian.org>; Source for autossh is src:autossh.

Reported by: Luk Claes <luk@debian.org>

Date: Fri, 5 Jun 2009 05:51:01 UTC

Severity: serious

Found in version autossh/1.4b-2

Fixed in version autossh/1.4b-4

Done: Filippo Giunchedi <filippo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Filippo Giunchedi <filippo@debian.org>:
Bug#531937; Package autossh. (Fri, 05 Jun 2009 05:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
New Bug report received and forwarded. Copy sent to Filippo Giunchedi <filippo@debian.org>. (Fri, 05 Jun 2009 05:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS on mipsel due to missing -fPIC
Date: Fri, 05 Jun 2009 07:54:00 +0200
Package: autossh
Version: 1.4b-2
Severity: serious

Hi

mips and mipsel now also need the -fPIC compilation flag to make sure shared objects only contain position independent code.

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#531937; Package autossh. (Fri, 05 Jun 2009 07:42:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
Extra info received and forwarded to list. (Fri, 05 Jun 2009 07:42:17 GMT) Full text and rfc822 format available.

Message #10 received at 531937@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: Luk Claes <luk@debian.org>, 531937@bugs.debian.org
Subject: Re: Bug#531937: FTBFS on mipsel due to missing -fPIC
Date: Fri, 5 Jun 2009 09:25:39 +0200
On Fri, Jun 05, 2009 at 07:54:00AM +0200, Luk Claes wrote:
> Package: autossh
> Version: 1.4b-2
> Severity: serious
> 
> Hi
> 
> mips and mipsel now also need the -fPIC compilation flag to make sure shared objects only contain position independent code.

I'm going to use this patch, makes sense?

--- debian/rules    (revision 13280)
+++ debian/rules    (working copy)
@@ -6,6 +6,7 @@
 include /usr/share/cdbs/1/class/autotools.mk
 
 DEB_CONFIGURE_EXTRA_FLAGS := --with-ssh=/usr/bin/ssh 
+CFLAGS += -fPIC
 
 install/autossh::
    cp $(CURDIR)/autossh $(CURDIR)/debian/autossh/usr/lib/autossh/autossh

filippo
--
Filippo Giunchedi - http://esaurito.net - 0x6B79D401

Age is not a particularly interesting subject. Anyone can get old. All
you have to do is live long enough.
-- Groucho Marx




Information forwarded to debian-bugs-dist@lists.debian.org, Filippo Giunchedi <filippo@debian.org>:
Bug#531937; Package autossh. (Fri, 05 Jun 2009 20:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Filippo Giunchedi <filippo@debian.org>. (Fri, 05 Jun 2009 20:33:04 GMT) Full text and rfc822 format available.

Message #15 received at 531937@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 531937@bugs.debian.org
Subject: Re: Bug#531937: FTBFS on mipsel due to missing -fPIC
Date: Fri, 05 Jun 2009 22:35:39 +0200
Filippo Giunchedi wrote:
> On Fri, Jun 05, 2009 at 07:54:00AM +0200, Luk Claes wrote:
>> Package: autossh
>> Version: 1.4b-2
>> Severity: serious
>>
>> Hi
>>
>> mips and mipsel now also need the -fPIC compilation flag to make sure shared objects only contain position independent code.
> 
> I'm going to use this patch, makes sense?

It's not sure it will work, there seems to be a mips* specific binutils
issue as a similar fix did not work for openssh.

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, Filippo Giunchedi <filippo@debian.org>:
Bug#531937; Package autossh. (Sun, 07 Jun 2009 22:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Filippo Giunchedi <filippo@debian.org>. (Sun, 07 Jun 2009 22:48:02 GMT) Full text and rfc822 format available.

Message #20 received at 531937@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: Luk Claes <luk@debian.org>
Cc: 531937@bugs.debian.org
Subject: Re: Bug#531937: FTBFS on mipsel due to missing -fPIC
Date: Sun, 07 Jun 2009 23:23:18 +0100
>It's not sure it will work, there seems to be a mips* specific binutils
>issue as a similar fix did not work for openssh.

i've just tried and it doesn't seem to work, the results below are from 
an emulated mips system

Unchanged package from sid

make[1]: Entering directory `/root/autossh-1.4b'
cc -g -O2 -g -Wall -O2 -Wall -DVER=\"1.4b\" -DSSH_PATH=\"/usr/bin/ssh\" 
-c -o autossh.o autossh.c
cc -o autossh autossh.o -lnsl
/usr/bin/ld: non-dynamic relocations refer to dynamic symbol 
__progname@@GLIBC_2.0
/usr/bin/ld: failed to set dynamic section sizes: Bad value
collect2: ld returned 1 exit status
make[1]: *** [autossh] Error 1
make[1]: Leaving directory `/root/autossh-1.4b'
make: *** [debian/stamp-makefile-build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
Build command ‘cd autossh-1.4b && dpkg-buildpackage -b -uc’ failed.
E: Child process failed
debian-mips:~#

With the proposed patch

make[1]: Entering directory `/root/autossh-1.4b'
cc -g -O2 -g -Wall -O2 -fPIC -Wall -DVER=\"1.4b\" 
-DSSH_PATH=\"/usr/bin/ssh\" -c -o autossh.o autossh.c
cc -o autossh autossh.o -lnsl
/usr/bin/ld: non-dynamic relocations refer to dynamic symbol 
__progname@@GLIBC_2.0
/usr/bin/ld: failed to set dynamic section sizes: Bad value
collect2: ld returned 1 exit status
make[1]: *** [autossh] Error 1
make[1]: Leaving directory `/root/autossh-1.4b'
make: *** [debian/stamp-makefile-build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
debian-mips:~/autossh-1.4b#




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#531937; Package autossh. (Sat, 17 Oct 2009 18:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
Extra info received and forwarded to list. (Sat, 17 Oct 2009 18:39:05 GMT) Full text and rfc822 format available.

Message #25 received at 531937@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: Luk Claes <luk@debian.org>, 531937@bugs.debian.org
Subject: Re: Bug#531937: FTBFS on mipsel due to missing -fPIC
Date: Sat, 17 Oct 2009 19:38:18 +0100
Hi Luk,

On Fri, Jun 05, 2009 at 10:35:39PM +0200, Luk Claes wrote:
> Filippo Giunchedi wrote:
> > On Fri, Jun 05, 2009 at 07:54:00AM +0200, Luk Claes wrote:
> >> Package: autossh
> >> Version: 1.4b-2
> >> Severity: serious
> >>
> >> Hi
> >>
> >> mips and mipsel now also need the -fPIC compilation flag to make sure shared objects only contain position independent code.
> > 
> > I'm going to use this patch, makes sense?
> 
> It's not sure it will work, there seems to be a mips* specific binutils
> issue as a similar fix did not work for openssh.

is there an actual way to fix this FTBFS?

filippo
-- 
Filippo Giunchedi - http://esaurito.net - 0x6B79D401

Any problem in computer science can be solved with another layer of
indirection. But that usually will create another problem.
-- David Wheeler




Information forwarded to debian-bugs-dist@lists.debian.org, Filippo Giunchedi <filippo@debian.org>:
Bug#531937; Package autossh. (Sat, 31 Oct 2009 13:57:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Filippo Giunchedi <filippo@debian.org>. (Sat, 31 Oct 2009 13:57:12 GMT) Full text and rfc822 format available.

Message #30 received at 531937@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Filippo Giunchedi <filippo@debian.org>
Cc: 531937@bugs.debian.org
Subject: Re: Bug#531937: FTBFS on mipsel due to missing -fPIC
Date: Sat, 31 Oct 2009 14:39:52 +0100
Filippo Giunchedi wrote:
> Hi Luk,
> 
> On Fri, Jun 05, 2009 at 10:35:39PM +0200, Luk Claes wrote:
>> Filippo Giunchedi wrote:
>>> On Fri, Jun 05, 2009 at 07:54:00AM +0200, Luk Claes wrote:
>>>> Package: autossh
>>>> Version: 1.4b-2
>>>> Severity: serious
>>>>
>>>> Hi
>>>>
>>>> mips and mipsel now also need the -fPIC compilation flag to make sure shared objects only contain position independent code.
>>> I'm going to use this patch, makes sense?
>> It's not sure it will work, there seems to be a mips* specific binutils
>> issue as a similar fix did not work for openssh.
> 
> is there an actual way to fix this FTBFS?

Not without porters fixing the toolchain I guess.

Cheers

Luk




Added tag(s) pending. Request was from Thorsten Glaser <tg@mirbsd.de> to control@bugs.debian.org. (Fri, 01 Jan 2010 04:48:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Filippo Giunchedi <filippo@debian.org>:
Bug#531937; Package autossh. (Fri, 01 Jan 2010 04:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Filippo Giunchedi <filippo@debian.org>. (Fri, 01 Jan 2010 04:51:03 GMT) Full text and rfc822 format available.

Message #37 received at 531937@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Stefano Zacchiroli <zack@debian.org>
Cc: 531937@bugs.debian.org, control@bugs.debian.org
Subject: Re: NM process - T&S 1
Date: Fri, 1 Jan 2010 04:42:47 +0000 (UTC)
[Message part 1 (text/plain, inline)]
tags 531937 + pending
thanks

-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Okay. Good.

autossh: ELF 32-bit LSB executable, MIPS, MIPS-I version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.18, with unknown capability 0xf41 = 0x756e6700, not stripped

Now I have a workaround (see patch attached), and I know the bug.
I probably will fix the issue for real though, before preparing
an NMU. (In case someone wonders, the fireworks didn't let me
sleep, aurel32's mipsel qemu base image helped, cowbuilder --create
failed though, so it took me a while to a-g d-u it to sid, but as
that is a highly interactive process thanks to our beloved debconf,
I had to stay awake anyway.)

For that I need to know the best method of regenerating a configure
script from configure.ac, as there will be a change that'll intrude
in the generated file quite somewhat. Any advice?

(Turns out not building as PIC/PIE wasn't the problem...)

bye,
//mirabilos
- -- 
Yay for having to rewrite other people's Bash scripts because bash
suddenly stopped supporting the bash extensions they make use of
	-- Tonnerre Lombard in #nosec
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (MirBSD)

iQIVAwUBSz183na1NLLpkAfgAQOT4w/8DnN7g5eHjd9u+xpWO/Ol1o9yWBcdC5/h
DTJkxidEzqbG1dBwKlHaUSr2/tSxlM9/5cf9YLIk86j2PeF0Fho5YKVqlg591PoG
J1xa/Os4P5Wgci7U+nycoo80M5fOj7FHtbJje4E08wreQEZMtlcsQdLEtIedAFDd
taQG0Gj4DzU2jXmG7+pZnrqn9Li2KL1Hi8E+wKsJ+8YpRAmpQsxP2jz95vzHNVRK
O5qIjhdBvlIvQmfFrmYgxbbJmknFj7RW/PSDwLPGZriADlZLBfCOZxmWjqZHuJT0
NACxvikGb4fYaNkM216x60nJqr4gjRA7uL7vCmJ4tCDf+34yZ166muN6NNM+vfWN
ybTOY9Q1m+djvXl3NR2E8oFOGPTAjYh3KiMlsR5MFtRd4B4gwxYoM+MeAc/IIQfu
GRnrlohofot1yNBb4RktzB/wy9m2t0isL9Hp/31WzgScp7vNDj/WYD5BpmhC4bXh
6SO/fjtozwfZlExX7QShTE3vtkN5t5L9ppaSqcEWnaerSJqh886hO+xkP8gCYuCW
9NzV88YLhRAzJ5r6kl9Sf3yqbKRZH/GAO7CjmMWhO5FG/qFX8cEvatYeAQt1AOJU
SNXuiCKxuF5epFy+DTvA4bLZoffwDDZVc+VHOeK3BIaCbHKy4S2IQn+n+OtfA99E
FyJk9plclPk=
=YDPY
-----END PGP SIGNATURE-----
[progname-fix.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Filippo Giunchedi <filippo@debian.org>:
Bug#531937; Package autossh. (Fri, 01 Jan 2010 14:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Filippo Giunchedi <filippo@debian.org>. (Fri, 01 Jan 2010 14:33:04 GMT) Full text and rfc822 format available.

Message #42 received at 531937@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 531937@bugs.debian.org
Subject: autossh: diff for NMU version 1.4b-2.1
Date: Fri, 1 Jan 2010 14:10:58 +0000 (UTC)
[Message part 1 (text/plain, inline)]
Dear Filippo,

I have prepared an NMU for autossh (version 1.4b-2.1) to fix
the RC bug #531937 (FTBFS on mipsel due to missing -fPIC) as
well as another upstream configure.ac bug (which you tried to
mitigate with 000_configure_with-ssh_fix.diff) and made it
lintian-clean and bumped the S-V while here.


I will ask my AM to upload it to DELAYED/2, according to devref §5.11.1.
Please find the diff attached.

bye,
//mirabilos
-- 
15:39⎜«mika:#grml» mira|AO: "mit XFree86® wär’ das nicht passiert" - muhaha
15:48⎜<thkoehler:#grml> also warum machen die xorg Jungs eigentlich alles
kaputt? :)    15:49⎜<novoid:#grml> thkoehler: weil sie als Kinder nie den
gebauten Turm selber umschmeissen durften?	-- ~/.Xmodmap wonders…
[autossh_1.4b-2.1.debdiff.gz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#531937; Package autossh. (Fri, 01 Jan 2010 18:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
Extra info received and forwarded to list. (Fri, 01 Jan 2010 18:12:03 GMT) Full text and rfc822 format available.

Message #47 received at 531937@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: Thorsten Glaser <tg@mirbsd.de>, 531937@bugs.debian.org
Subject: Re: Bug#531937: autossh: diff for NMU version 1.4b-2.1
Date: Fri, 1 Jan 2010 19:05:40 +0100
Hi Thorsten,

On Fri, Jan 01, 2010 at 02:10:58PM +0000, Thorsten Glaser wrote:
> Dear Filippo,
> 
> I have prepared an NMU for autossh (version 1.4b-2.1) to fix
> the RC bug #531937 (FTBFS on mipsel due to missing -fPIC) as
> well as another upstream configure.ac bug (which you tried to
> mitigate with 000_configure_with-ssh_fix.diff) and made it
> lintian-clean and bumped the S-V while here.

thanks for your effort, it is much appreciated!

My concern is that the NMU fixes too much things which are out of scope
(assuming the scope was fixing the RC bug).

Regarding the fix I'm not convinced attaching the config.h.in and configure
diff is a good idea, running autoheader/autoconf at build time sounds better
to me.

Also, the package is in collab-maint (although in deb-maint, but I can move it
to ext-maint if want to commit there) so fixes unrelated to the RC can be put
there.

filippo
-- 
Filippo Giunchedi - http://esaurito.net - 0x6B79D401

Networking -- only one letter away from not working
-- Unknown




Information forwarded to debian-bugs-dist@lists.debian.org, Filippo Giunchedi <filippo@debian.org>:
Bug#531937; Package autossh. (Fri, 01 Jan 2010 19:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Filippo Giunchedi <filippo@debian.org>. (Fri, 01 Jan 2010 19:42:08 GMT) Full text and rfc822 format available.

Message #52 received at 531937@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Filippo Giunchedi <filippo@debian.org>
Cc: 531937@bugs.debian.org
Subject: Re: Bug#531937: autossh: diff for NMU version 1.4b-2.1
Date: Fri, 1 Jan 2010 19:38:48 +0000 (UTC)
Filippo Giunchedi dixit:

>thanks for your effort, it is much appreciated!

Thanks.

>My concern is that the NMU fixes too much things which are out of scope

That was one of the things I was not too sure about. On the other
hand, lintian warnings (some of them!) will prevent uploads, so I
eventually thought it’s better to fix more than less things.

>(assuming the scope was fixing the RC bug).

No, scope was fixing “some” bugs for T&S 1 ☺ I picked packages at
random.

>Regarding the fix I'm not convinced attaching the config.h.in and configure
>diff is a good idea, running autoheader/autoconf at build time sounds better
>to me.

That’s the other thing I was not too sure about. Since you are
“in” already, there need not be an NMU, and we can work on this
together, or you can just take my patches and apply and make a
new regular Debian upload.

I did mail the fixes to upstream too, btw.

bye,
//mirabilos
-- 
Sometimes they [people] care too much: pretty printers [and syntax highligh-
ting, d.A.] mechanically produce pretty output that accentuates irrelevant
detail in the program, which is as sensible as putting all the prepositions
in English text in bold font.	-- Rob Pike in "Notes on Programming in C"




Information forwarded to debian-bugs-dist@lists.debian.org, Filippo Giunchedi <filippo@debian.org>:
Bug#531937; Package autossh. (Sat, 02 Jan 2010 14:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Filippo Giunchedi <filippo@debian.org>. (Sat, 02 Jan 2010 14:48:03 GMT) Full text and rfc822 format available.

Message #57 received at 531937@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Thorsten Glaser <tg@mirbsd.de>
Cc: 531937@bugs.debian.org
Subject: Re: NM process - T&S 1
Date: Sat, 2 Jan 2010 15:44:42 +0100
On Fri, Jan 01, 2010 at 04:42:47AM +0000, Thorsten Glaser wrote:
> tags 531937 + pending
> thanks

On this, I've followed the exchange with the maintainer.  Note how you
get comments about the NMU fixing too many things from him too, I'm
confident you've realized NMU should be minimized now :-)

Given that you're already in touch with Filippo, I believe you don't
need sponsoring help, in case I'm wrong please ping me.

All in all, on my count, I've the following now:

- 1 RC bug closed as invalid
- 1 RC bug patched, will be uploaded by maintainer
- 2 RC bug with upload prepared, but in need of "minimization" -> once
  you have these ready ping me

Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime




Reply sent to Filippo Giunchedi <filippo@debian.org>:
You have taken responsibility. (Sun, 10 Jan 2010 11:51:08 GMT) Full text and rfc822 format available.

Notification sent to Luk Claes <luk@debian.org>:
Bug acknowledged by developer. (Sun, 10 Jan 2010 11:51:08 GMT) Full text and rfc822 format available.

Message #62 received at 531937-close@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: 531937-close@bugs.debian.org
Subject: Bug#531937: fixed in autossh 1.4b-4
Date: Sun, 10 Jan 2010 11:47:54 +0000
Source: autossh
Source-Version: 1.4b-4

We believe that the bug you reported is fixed in the latest version of
autossh, which is due to be installed in the Debian FTP archive:

autossh_1.4b-4.diff.gz
  to main/a/autossh/autossh_1.4b-4.diff.gz
autossh_1.4b-4.dsc
  to main/a/autossh/autossh_1.4b-4.dsc
autossh_1.4b-4_amd64.deb
  to main/a/autossh/autossh_1.4b-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 531937@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Filippo Giunchedi <filippo@debian.org> (supplier of updated autossh package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 10 Jan 2010 11:21:00 +0100
Source: autossh
Binary: autossh
Architecture: source amd64
Version: 1.4b-4
Distribution: unstable
Urgency: low
Maintainer: Filippo Giunchedi <filippo@debian.org>
Changed-By: Filippo Giunchedi <filippo@debian.org>
Description: 
 autossh    - Automatically restart SSH sessions and tunnels
Closes: 531937
Changes: 
 autossh (1.4b-4) unstable; urgency=low
 .
   [ Thorsten Glaser ]
   * debian/patches/000_configure_with-ssh_fix.diff: Remove, create
     a proper fix in debian/patches/000_configure_fix.diff (the closing
     parenthesis of AC_HELP_STRING was placed wrong)
   * debian/patches/000_configure_fix.diff: Add proper check for the
     existence of __progname (taken from OpenSSH-portable), replace
     upstream’s check for declaration when what we really need to see
     is existence of the symbol (Closes: #531937)
   * debian/control: Remove “Tag:” header lintian complains about,
     see the following mailing list thread for the reason:
     - http://lists.alioth.debian.org/pipermail/debtags-devel/2007-January/001567.html
     - http://lists.alioth.debian.org/pipermail/debtags-devel/2007-February/001593.html
   * Fix a couple of lintian warnings:
     - debian/README.Debian: spelling-error-in-readme-debian
     - debian/patches/030_manpage_fix.diff,
       debian/patches/040_manpage_debian.diff: hyphen-used-as-minus-sign
   * Bump Standards-Version to 3.8.3, no relevant changes
   * Call autoconf and autoheader to regenerate buildsystem after patching
   * Fix spelling error in debian/patches/040_manpage_debian.diff
 .
   [ Filippo Giunchedi ]
   * Merge patch from Thorsten Glaser fixing also an RC bug, thanks!
Checksums-Sha1: 
 aa9c80468ecf58d7fc627c8ad62740c898c352ca 1236 autossh_1.4b-4.dsc
 66094caa0768a9c5bfaadf02014fbf14bfad3167 8837 autossh_1.4b-4.diff.gz
 5e8f7e0dab5f32dc0ae64fee607943075ebd07eb 30294 autossh_1.4b-4_amd64.deb
Checksums-Sha256: 
 191b6cfae14fcb5d3e260ecc4812faa1ab3fdd7fb064ea947fa954aeb7194ac2 1236 autossh_1.4b-4.dsc
 7e72bbf1f56f411d3bf5928fdba92614e6370a3c4b3b684a947f8865f766f8d9 8837 autossh_1.4b-4.diff.gz
 4fb272981a819d49e87668eb101501e1eb1c5e953bfcc0ab20c584ed2b219dc0 30294 autossh_1.4b-4_amd64.deb
Files: 
 9e3787c8de32efdd4d1e5e1800799abb 1236 net optional autossh_1.4b-4.dsc
 a7d9244a20130d2cca368371377fdccb 8837 net optional autossh_1.4b-4.diff.gz
 c4a0d6658fc87e93e02cde4eceb46086 30294 net optional autossh_1.4b-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktJrD8ACgkQABzeamt51AEGWwCeICv2Cxw9VXXgoUGN2lsC5Ppg
3CwAn1LHv203YM7y943j0i3r6cybAKvI
=Eht0
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 08 Feb 2010 07:31:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:22:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.